#ifndef ITEM_H
#define ITEM_H

#include "object.h"
#include "actions.h"

typedef struct itemizedinfo {
	struct itemdef* firstitem;
	char *separator;
	Widget listwidget;
	} _iinf ;

typedef struct itemdef {
	char* label;
	char* value;
	Widget widgetname;
	action* item_actions;
	Objdef* object;
	struct itemdef* next;
	} _idef;


#if ( defined(__STDC__) || defined(FUNCPROTO) ) && !defined(_NO_PROTO)

extern struct itemdef* find_item( Objdef*, char * );
extern struct itemdef* new_item( struct itemizedinfo* info );

#else

extern struct itemdef* find_item();
extern struct itemdef* new_item();

#endif



#endif
