/*
 * wm_protocol.h -- include where you need to have a window deal with
 * WM_PROTOCOLS
 *
 * Based on code posted to the internet by  
 * williams@herky.cs.uiowa.edu (Kent Williams)
 *
 * Modified 15 Dec 1993 : Dave Nichols (SEP) 
 *    Modified to fit into xtpanel.
 */
#ifndef __WM_PROTOCOL_H
#define __WM_PROTOCOL_H
#ifdef WM_PROTOCOL_DEFS
char WM_CLOSE_EXIT[] = "exit";
char WM_CLOSE_WARN[] = "warn";
char WM_CLOSE_POPDOWN[] = "popdown";
char WM_CLOSE_DESTROY[] = "destroy";
#else
extern char WM_CLOSE_EXIT[];
extern char WM_CLOSE_WARN[];
extern char WM_CLOSE_POPDOWN[];
extern char WM_CLOSE_DESTROY[];
#endif

#if defined __STDC__ || defined __stdc__ 
extern void handle_WMPROTOCOL(Widget w, char *acttype);
#else
extern void handle_WMPROTOCOL();
#endif

#endif /* __WM_PROTOCOL_H */
/* end of wm_protocol.h */

