/*
 * Copyright 1992, 1993, 1994 The Board of Trustees of the Leland Stanford
 * Junior University. Copyright 1994, 1995 Dave Nichols and Steve Cole.
 * Permission is hereby given to use, copy, modify, and
 * distribute this software, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * STANFORD AND THE AUTHORS MAKE NO REPRESENTATIONS OR WARRANTIES OF ANY 
 * KIND CONCERNING  THIS SOFTWARE.
 */


/*
 *
 *  source file:   ./xtpanel/main.c
 *
 * Steve Cole, Dave Nichols (SEP), August 28 1992
 *      Inserted this sample edit history entry.
 *      Please log any further modifications made to this file:
 * Steve Cole (SEP), February 23 1993 
 * 1) added allow_resize to toplevel to let xtpanel resize itself.
 * 2) added support for form widget.
 * 3) improved fallback resources.
 * Steve Cole (SEP), February 24 1993 
 *      Added sensitive to list of recognized arguments.
 * Dave Nichols (SEP), April 29 1993
 *      Added return code to quit_xtpanel
 * Steve Cole (SEP), May 9 1993 
 *	Removed bad Scrollbar*orientation entry in fallback
 *      resources. Caused text scrollbars to be unusable when
 *      app-defaults were not found.
 * Steve Cole (SEP), June 7 1993 
 *      Added support for window object.
 * Dave Nichols (SEP), June 20 1993 
 *      Moved recursive calls to process_tree into composite object builder
 *	routines.
 *	Removed syntax checking in process_tree (now done at parse time).
 * Dave Nichols (SEP), Nov 29 1993
 * 	Added patch from  grant@cscc.oh.on.ca (Grant McDorman) to
 *      handle arrow scrollbar.
 * Dave Nichols (SEP), June 1 1994
 * 	Moved all of startup stuff into xtpanel-init. This is now a stub.
 */

#include "patchlevel.h"
    
int main(argc,argv)
     
     int argc;
     char **argv;
{

    xtp_init_app( argc, argv );

}
