#!/bin/csh -f

if( $?SYS_XTPANEL_DIR ) then
 set thedir = $SYS_XTPANEL_DIR
else
 set thedir = SYS_XTPANELDIR
endif

if( ! -d $thedir/examples ) then
   echo ""
   echo " It looks like someone has moved the system xtpanel directory"
   echo " It was expected  to be in $thedir"
   echo " You can setenv SYS_XTPANEL_DIR to specify the correct path"
   echo " Or you can update this shell ( $0 )  "
   echo " by rebuilding the software."
   echo ""
   exit -1
endif

cd $thedir/examples

xtpanel < all_examples
